import express, { Express } from "express";
import { router } from "./routers/DarioRegisterRouter";
import dotenv from "dotenv";


class App {
  app: Express;
  envVars: any;

  constructor() {
    this.envVars = dotenv.config().parsed;
    this.app = express();
  }

  public start() {
    this.setMiddlewares();
    this.setRouters();
    this.startServer();
  }

  private setMiddlewares() {
    this.app.use(express.json());
  }

  private startServer() {
    this.app.listen(this.envVars.SERVER_PORT, () => {
      console.log(`Server is running on port ${this.envVars.SERVER_PORT}`);
    });
  }

  private setRouters() {
    this.app.use(router);
  }
}

const app = new App();
app.start();
