import express, { Response, Request, NextFunction } from "express";
import { DarioRegisterController } from "../controllers/DarioRegisterController";
import { verifyEligibility } from "../middleware/verify-eligibility-middleware";
import { registerMiddleware } from "../middleware/register-middleware";

const router = express.Router();
const controller = new DarioRegisterController();

router.post(
  "/verify-eligibility",
  verifyEligibility,
  async (req: Request, res: Response) => {
    await controller.verifyEligibility(req, res);
  }
);

router.post(
  "/register",
  registerMiddleware,
  async (req: Request, res: Response, next: NextFunction) => {
    await controller.register(req, res, next);
  }
);

export { router };
